[PC-BSD Pbi-dev] Sopwith Module

Kris Moore kris at pcbsd.org
Mon Jun 7 09:39:21 PDT 2010


On 06/07/2010 20:15, Jesse Smith wrote:
> Kris,
>
> Thanks very much for your quick feedback. I made the changes you
> suggested and I'm re-submitting the module here. (Please see attached.)
>
> I do have a question about the build target. There's an option for
> giving a specific version of PC-BSD to build against and I believe the
> default is 7.2. Will that cause problems for people running more modern
> versions of PC-BSD?
>
> Jesse
>    

The build target version is something special, and rarely needs to be 
used. The only port we use it for is virtualbox, since it needs to 
compile its kernel module on 7.2 and later only.

In this case, you would leave it unset, and it'll compile on the default 
build environment (7.0, 8.0 & 9.0), which means users of later versions, 
I.E: 7.1, 8.1, 8.2, will still be able to run the same PBI file and have 
it work.

BTW, your new module looked just fine now. I've already committed it to 
subversion, and we should
see a new PBI get built for each platform in the next few days:

http://trac.pcbsd.org/changeset/6874

64bit Build Server:
http://pbibuild64.pcbsd.org

32bit Build Server:
http://pbibuild64.pcbsd.org

-- 
Kris Moore
PC-BSD Software
iXsystems



More information about the Pbi-dev mailing list